Package javax.help.plaf

# Class HelpNavigatorUI

java.lang.Object
javax.swing.plaf.ComponentUI
javax.help.plaf.HelpNavigatorUI

Direct Known Subclasses:
  `BasicFavoritesNavigatorUI`, `BasicGlossaryNavigatorUI`, `BasicIndexNavigatorUI`, `BasicSearchNavigatorUI`, `BasicTOCNavigatorUI`

public abstract class HelpNavigatorUI extends ComponentUI
UI factory interface for JHelpNavigator.

## Constructor Summary

Constructors
Constructor
Description
`HelpNavigatorUI()`

## Method Summary

Modifier and Type
Method
Description
`Action`
`getAddAction()`
Returns an AddAction object.
`Icon`
`getIcon()`
`ImageIcon`
`getImageIcon(NavigatorView view)`
Returns icon associated with the view.
`void`
`merge(NavigatorView view)`
Merges a Navigator View.
`void`
`remove(NavigatorView view)`
Removes a Navigator View.
`void`
`setIcon(Icon icon)`
Sets the icon for this HelpNavigator.

### Methods inherited from class javax.swing.plaf.ComponentUI

`contains, createUI, getAccessibleChild, getAccessibleChildrenCount, getBaseline, getBaselineResizeBehavior, getMaximumSize, getMinimumSize, getPreferredSize, installUI, paint, uninstallUI, update`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### HelpNavigatorUI

public HelpNavigatorUI()

## Method Details

### setIcon

public void setIcon(Icon icon)
Sets the icon for this HelpNavigator.

Parameters:
  `icon` - the Icon

### getIcon

public Icon getIcon()

Returns:
  the Icon for this HelpNavigator

### merge

public void merge(NavigatorView view)
Merges a Navigator View.

### remove

public void remove(NavigatorView view)
Removes a Navigator View.

### getImageIcon

public ImageIcon getImageIcon(NavigatorView view)
Returns icon associated with the view.

Parameters:
  `view` - the view
Returns:
  the ImageIcon for the view

### getAddAction

public Action getAddAction()
Returns an AddAction object. Has sense only for favorites navigator